| AnyConnect Secure Mobility Client 5.1.0.136

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# ConnectPromptInfoBase Class Reference

List of all members.

## Public Member Functions
void | setSubmitButtonName (const tstring &buttonName)
void | setConnectPromptType (ConnectPromptType connectPromptType)
bool | isCanceled () const
void | setCanceled (bool bIsCanceled)
UserResponseError | getResponseError () const
void | setResponseError (UserResponseError err)
void | setMessage (const tstring &tstrMessage)
void | setAuthenticationError (int iAuthError)
int | getAuthenticationError () const
void | setAuthenticationErrorMessage (const tstring &authErrorMessage)
tstring | getAuthenticationErrorMessage () const
void | addPromptEntry (PromptEntry *promptEntry)
void | insertPromptEntry (PromptEntry *promptEntry)
void | removeMatchingPromptEntry (PromptType promptType)
void | clearPasswordData ()
void | setHasEnrollmentCA (bool bHasEnrollmentCA)
bool | useEnrollmentCA () const
void | setAgentRequest (bool agentRequest)
bool | isAgentRequest () const
bool | isAutoSubmit () const
void | setAutoSubmit (bool bIsAutoSubmit)
bool | setTunnelGroup (const tstring &group)
void | reset ()
bool | valid () const
void | setButtonState (UIControlStateType state)
UIControlStateType | getButtonState ()
tstring | toString () const
| ConnectPromptInfoBase (tstring defaultSubmitButtonName)
| ConnectPromptInfoBase (const ConnectPromptInfoBase &copyCtor)
ConnectPromptInfoBase & | operator= (const ConnectPromptInfoBase &inst)
PromptEntry * | getFirstPromptEntryOfType (PromptType ptype)
## Protected Member Functions
ConnectPromptType | getConnectPromptType () const
unsigned int | countPromptEntry () const
const tstring & | getMessage () const
const std::list< tstring > & | getListPromptNames (std::list< tstring > &listPromptNames) const
PromptEntry * | getPromptEntry (const tstring &promptName) const
const std::list< PromptEntry * > & | getListPromptEntry () const
bool | hasAuthenticationError () const
const tstring & | getSubmitButtonName () const
bool | hasEnrollmentCA () const
void | setUseEnrollmentCA (bool bUseEnrollmentCA)
bool | isEmpty () const